MVT
The MVT (Mapbox Vector Tile) service provides access to station-related geographic data in a tile-based format. Vector tiles are encoded as Protocol Buffers (PBF), allowing for efficient serialization of structured data.
Base URL
To access the station data in MVT format, send a request to the following endpoint
Mapbox Vector Tile / Base URL
- 01
https://api.chargetrip.io/v2/station/{z}/{x}/{y}/tile.mvt
URL Parameters
{z}: Zoom level (integer) – Determines the scale of the map and the detail of the data returned.{x}: Tile column (integer) – Identifies the X coordinate of the tile in the grid.{y}: Tile row (integer) – Identifies the Y coordinate of the tile in the grid.
Most map providers have built-in methods to convert latitude and longitude to pixel coordinates. To manually convert latitude and longitude coordinates to x and y use the Web Mercator Projection.
Optional Query Parameters
Use these parameters to refine the data returned within each tile:
?{filter}: Filters the stations returned based on specific criteria. See filters documentation.?station_properties[]={selector}: Specifies the fields returned for each station feature. See selectors documentation.
Response
For each requested tile, the API returns a station layer containing a collection of features. Each feature represents either an individual station or a cluster of stations, depending on the zoom level and station density in the area, along with several additional properties.
Properties
| Field | Description |
|---|---|
| count Integer · Default | Count of stations within a cluster. 1 means a Station feature. Greater than 1 means a Cluster feature. |
| expansion_zoom Integer · Default | The zoom level at which a cluster splits into multiple smaller clusters or stations. Only returned in Cluster features. |
| id String | The identifier of the station. |
| lng Float | The longitude of the station. |
| lat Float | The latitude of the station. |
| station_maximum_power Integer | Maximum charging power (in kW) across all connectors, regardless of any applied filters. |
| connector_maximum_power Integer | Maximum charging power (in kW) available across the filtered connectors. This property is dynamic. |
| preferred_operator Boolean | Indicates if the station operator is configured as preferred. Preferred operators can be managed within project settings in the dashboard. |
| operator_id String | Unique identifier for the station operator. Returns null if the operator's data is unavailable. |
| evses_blocked Integer | Number of EVSEs in blocked status. This property is dynamic. |
| evses_planned Integer | Number of EVSEs in planned status. This property is dynamic. |
| evses_available Integer | Number of EVSEs in available status. This property is dynamic. |
| evses_charging Integer | Number of EVSEs in charging status. This property is dynamic. |
| evses_unknown Integer | Number of EVSEs in unknown status. This property is dynamic. |
| evses_reserved Integer | Number of EVSEs in reserved status. This property is dynamic. |
| evses_out_of_order Integer | Number of EVSEs in out of order status. This property is dynamic. |
| evses_inoperative Integer | Number of EVSEs in inoperative status. This property is dynamic. |
Default Response
If no selectors are provided, the API returns a minimized payload, containing only the essential properties, marked as default in the table above. To return additional properties, selectors must be used. Visit selectors to learn how to use them.
Mapbox Vector Tile / Default response
- 01
- 02
- 03
- 04
- 05
- 06
- 07
- 08
- 09
- 10
//Station feature{ "count": 1, "id": "65ba19578a0916b28b20d729"},//Cluster Feature{ "count": 3, "expansion_zoom":32}